ClientNamenodeProtocolProtos.CreateFlagProto (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocol.proto, class: ClientNamenodeProtocolProtos, enum: CreateFlagProto

Package org.apache.hadoop.hdfs.protocol.proto

# Enum Class ClientNamenodeProtocolProtos.CreateFlagProto

java.lang.Object
java.lang.Enum<ClientNamenodeProtocolProtos.CreateFlagProto>
org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.CreateFlagProto

All Implemented Interfaces:
  `Serializable`, `Comparable<ClientNamenodeProtocolProtos.CreateFlagProto>`, `Constable`, `org.apache.hadoop.thirdparty.protobuf.Internal.EnumLite`, `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

Enclosing class:
  org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos

public static enum ClientNamenodeProtocolProtos.CreateFlagProto extends Enum<ClientNamenodeProtocolProtos.CreateFlagProto> implements org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum
Protobuf enum `hadoop.hdfs.CreateFlagProto`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `APPEND`
  Append to a file
  `CREATE`
  Create a file
  `LAZY_PERSIST`
  File with reduced durability guarantees.
  `NEW_BLOCK`
  Write data to a new block when appending
  `OVERWRITE`
  Truncate/overwrite a file.
  `SHOULD_REPLICATE`
  Enforce to create a replicate file

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `APPEND_VALUE`
  Append to a file
  `static final int`
  `CREATE_VALUE`
  Create a file
  `static final int`
  `LAZY_PERSIST_VALUE`
  File with reduced durability guarantees.
  `static final int`
  `NEW_BLOCK_VALUE`
  Write data to a new block when appending
  `static final int`
  `OVERWRITE_VALUE`
  Truncate/overwrite a file.
  `static final int`
  `SHOULD_REPLICATE_VALUE`
  Enforce to create a replicate file

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ClientNamenodeProtocolProtos.CreateFlagProto`
  `forNumber(int value)`
  `static final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor`
  `getDescriptor()`
  `final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor`
  `getDescriptorForType()`
  `final int`
  `getNumber()`
  `final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor`
  `getValueDescriptor()`
  `static org.apache.hadoop.thirdparty.protobuf.Internal.EnumLiteMap<ClientNamenodeProtocolProtos.CreateFlagProto>`
  `internalGetValueMap()`
  `static ClientNamenodeProtocolProtos.CreateFlagProto`
  `valueOf(int value)`
  Deprecated.
  `static ClientNamenodeProtocolProtos.CreateFlagProto`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ClientNamenodeProtocolProtos.CreateFlagProto`
  `valueOf(org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor desc)`
  Returns the enum constant of this class with the specified name.
  `static ClientNamenodeProtocolProtos.CreateFlagProto[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CREATE

    public static final ClientNamenodeProtocolProtos.CreateFlagProto CREATE

         Create a file

    `CREATE = 1;`

  - ### OVERWRITE

    public static final ClientNamenodeProtocolProtos.CreateFlagProto OVERWRITE

         Truncate/overwrite a file. Same as POSIX O_TRUNC

    `OVERWRITE = 2;`

  - ### APPEND

    public static final ClientNamenodeProtocolProtos.CreateFlagProto APPEND

         Append to a file

    `APPEND = 4;`

  - ### LAZY_PERSIST

    public static final ClientNamenodeProtocolProtos.CreateFlagProto LAZY_PERSIST

         File with reduced durability guarantees.

    `LAZY_PERSIST = 16;`

  - ### NEW_BLOCK

    public static final ClientNamenodeProtocolProtos.CreateFlagProto NEW_BLOCK

         Write data to a new block when appending

    `NEW_BLOCK = 32;`

  - ### SHOULD_REPLICATE

    public static final ClientNamenodeProtocolProtos.CreateFlagProto SHOULD_REPLICATE

         Enforce to create a replicate file

    `SHOULD_REPLICATE = 128;`

- ## Field Details

  - ### CREATE_VALUE

    public static final int CREATE_VALUE

         Create a file

    `CREATE = 1;`
    See Also:
      - Constant Field Values

  - ### OVERWRITE_VALUE

    public static final int OVERWRITE_VALUE

         Truncate/overwrite a file. Same as POSIX O_TRUNC

    `OVERWRITE = 2;`
    See Also:
      - Constant Field Values

  - ### APPEND_VALUE

    public static final int APPEND_VALUE

         Append to a file

    `APPEND = 4;`
    See Also:
      - Constant Field Values

  - ### LAZY_PERSIST_VALUE

    public static final int LAZY_PERSIST_VALUE

         File with reduced durability guarantees.

    `LAZY_PERSIST = 16;`
    See Also:
      - Constant Field Values

  - ### NEW_BLOCK_VALUE

    public static final int NEW_BLOCK_VALUE

         Write data to a new block when appending

    `NEW_BLOCK = 32;`
    See Also:
      - Constant Field Values

  - ### SHOULD_REPLICATE_VALUE

    public static final int SHOULD_REPLICATE_VALUE

         Enforce to create a replicate file

    `SHOULD_REPLICATE = 128;`
    See Also:
      - Constant Field Values

- ## Method Details

  - ### values

    public static ClientNamenodeProtocolProtos.CreateFlagProto[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ClientNamenodeProtocolProtos.CreateFlagProto valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getNumber

    public final int getNumber()
    Specified by:
      `getNumber` in interface `org.apache.hadoop.thirdparty.protobuf.Internal.EnumLite`
    Specified by:
      `getNumber` in interface `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

  - ### valueOf

    @Deprecated public static ClientNamenodeProtocolProtos.CreateFlagProto valueOf(int value)
    Deprecated.
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `value` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### forNumber

    public static ClientNamenodeProtocolProtos.CreateFlagProto forNumber(int value)
    Parameters:
      `value` - The numeric wire value of the corresponding enum entry.
    Returns:
      The enum associated with the given numeric wire value.

  - ### internalGetValueMap

    public static org.apache.hadoop.thirdparty.protobuf.Internal.EnumLiteMap<ClientNamenodeProtocolProtos.CreateFlagProto> internalGetValueMap()

  - ### getValueDescriptor

    public final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()
    Specified by:
      `getValueDescriptor` in interface `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

  - ### getDescriptorForType

    public final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

  - ### getDescriptor

    public static final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor getDescriptor()

  - ### valueOf

    public static ClientNamenodeProtocolProtos.CreateFlagProto valueOf(org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor desc)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `desc` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null